<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xpath-default-namespace="http://www.sitemaps.org/schemas/sitemap/0.9" version="2.0">
    <xsl:output method="xhtml" indent="yes" encoding="UTF-8"/>

    <xsl:template match="urlset">
        <ul class="sitemap fa-ul">
            <xsl:apply-templates select="url"/>
        </ul>
    </xsl:template>

    <xsl:template match="url">
        <xsl:if test="not(hidden/text() = 'true')">
            <li>
                <xsl:choose>
                    <xsl:when test="urlset">
                        <i class="fa fa-li fa-caret-right"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <i class="fa fa-li fa-minus"/>
                    </xsl:otherwise>
                </xsl:choose>
                <a href="{loc/text()}">
                    <xsl:apply-templates select="title"/>
                </a>
            </li>
            <xsl:apply-templates select="urlset"/>
        </xsl:if>
    </xsl:template>

    <xsl:template match="br">
        <br/>
    </xsl:template>

    <xsl:template match="strong">
        <div style="margin-left: 20px; font-size: smaller;">
            <xsl:apply-templates/>
        </div>
    </xsl:template>
</xsl:stylesheet>